Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021294
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 01. General setupmajorhave not tried2012-08-02 15:582012-08-10 08:08
ReporterjmonView Statuspublic 
Assigned Tovmromanos 
PriorityhighResolutionfixedFixed in Version2.50MP45
StatusclosedFix in branchpiFixed in SCM revisioncab2322adf42
ProjectionnoneETAnoneTarget Version2.50MP45
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2011-08-22
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/stable/2.50/rev/c1a592b54b9d909ca70781e008c605fd12b09b61 [^]
Triggers an Emergency PackNo
Summary

0021294: Spanish taxes dataset update for new taxes applying from 01/09/2012 cannot be applied at Org level

DescriptionHaving a client with the spanish taxes dataset (Taxes: configuration for Spain (Impuestos para España) 1.2.39) applied at org level, when you update to the last version of that module in order to load the new taxes you cannot apply the new dataset version (1.2.45) at Org level (same as the original dataset was applied).

This has been reproduced in a 2.50 mp44 instance.
Steps To Reproduce* Customer with previous version of Taxes module installed and applied at org level as they have other orgs with other localizations.
To get new taxes:
* Module Management window. Customer scans for updates, receives update for Taxes module and installs it.
* Enterprise Module Management window. Customer selects Org at which previous version of Taxes module was installed. Information that update available for Taxes module appears does not appear. Customer selects Org * (client level), information that update available for Taxes module appears and installs the update resulting in new taxes at * level and duplicated for the rest.
TagsNo tags attached.
Attached Filesxlsx file icon AD_ORGMODULE.xlsx [^] (11,390 bytes) 2012-08-03 08:18
png file icon TestingPlan_ok.png [^] (60,902 bytes) 2012-08-08 10:13

- Relationships Relation Graph ] Dependency Graph ]
related to backport 00213162.50MP45 closedvmromanos Update available icon in Enterprise Module Management 

-  Notes
(0051092)
jmon (reporter)
2012-08-03 08:18

Attaching data in ad_orgmodule after the update.
(0051114)
vmromanos (developer)
2012-08-06 12:41
edited on: 2012-08-06 12:46

When a dataset is applied to an organization, it has no sense to apply it to any organization above or below that organization. In this case of scenario, the Enterprise Module Management window must NOT display that module when an ancestor or a child organization (of any level) is selected.

Apart from that, the Taxes module should have been obviously displayed in the Enterprise Module Management for that organization in order to be able to update it.

This bug is only reproducible on 2.50 version (not 3.0)

(0051119)
vmromanos (developer)
2012-08-06 13:50

Test Plan I:
1. Install an old version of any module, for example the Spanish Taxes Module 1.2.14
2. Create a new client. Don't select any dataset
3. Log into that client and run an Initial Org Setup and select the Taxes dataset. Org name = YES, parent *
4. Create another organization inside the same client, but this time don't select the Taxes dataset. Org name = NO, parent *
5. Update the Taxes module
6. Inside the previously created client, go to the Enterprise Module Management window
7. Select Org "YES". The dataset update should be shown
8. Select Org "NO". The dataset should be shown (without update icon)
9. Select Org "*". Ensure the dataset is not shown.

Test Plan II:
1. Now, inside the Smallbazaar client, go to the Enterprise module management
2. Ensure the taxes dataset is available for all the organizations (without the update icon)
3. Apply it to the A organization.
4. Ensure the Taxes dataset is not available anymore neither for the "A" ancestors nor for its children.
5. Ensure the Taxes dataset is available for the B organization and any of its children.
(0051125)
hgbot (developer)
2012-08-06 14:40

Repository: erp/stable/2.50
Changeset: df7c1358b96ae51386472bf9ca563db1589fe656
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Aug 06 14:38:55 2012 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/df7c1358b96ae51386472bf9ca563db1589fe656 [^]

Fixed bug 21294, Fixed bug 21316: Enterprise Module Management

+ Client/Org modules are now properly displayed
+ An already applied dataset is not shown anymore for ancestor/child orgs
+ Checksum is now taken into account in case of updates. We also use the versions for
those scenarios where the dataset has been created without checksum (old 2.50 modules)
+ ISACTIVE column is taken into account

+ The LEFT JOIN is now filtering by the selected organization. The client is also
included into the join clause to avoid swapping the client and org parameters into
the generated sqlc method.

---
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree_data.xsql
---
(0051151)
dmitry_mezentsev (developer)
2012-08-07 18:20

Please review and close this issue ASAP.
(0051153)
vmromanos (developer)
2012-08-08 08:34

Reopened to fill Regression fields
(0051159)
mirurita (developer)
2012-08-08 10:14

code review + testing OK.

see attached screenshot with the result.
(0051181)
hgbot (developer)
2012-08-08 21:45

Repository: erp/stable/2.50
Changeset: 032a689b7aa2be47055687202e915848ece7c799
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Aug 06 14:38:55 2012 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/032a689b7aa2be47055687202e915848ece7c799 [^]

Fixed bug 21294, Fixed bug 21316: Enterprise Module Management

+ Client/Org modules are now properly displayed
+ An already applied dataset is not shown anymore for ancestor/child orgs
+ Checksum is now taken into account in case of updates. We also use the versions for
those scenarios where the dataset has been created without checksum (old 2.50 modules)
+ ISACTIVE column is taken into account

+ The LEFT JOIN is now filtering by the selected organization. The client is also
included into the join clause to avoid swapping the client and org parameters into
the generated sqlc method.

---
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree_data.xsql
---
(0051185)
vmromanos (developer)
2012-08-09 09:16

Closed again (it was reopened by the bot)
(0051223)
hgbot (developer)
2012-08-09 20:50

Repository: erp/stable/2.50
Changeset: cab2322adf42a6ff995418ffe6848799a962b70b
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Aug 06 14:38:55 2012 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/cab2322adf42a6ff995418ffe6848799a962b70b [^]

Fixed bug 21294, Fixed bug 21316: Enterprise Module Management

+ Client/Org modules are now properly displayed
+ An already applied dataset is not shown anymore for ancestor/child orgs
+ Checksum is now taken into account in case of updates. We also use the versions for
those scenarios where the dataset has been created without checksum (old 2.50 modules)
+ ISACTIVE column is taken into account

+ The LEFT JOIN is now filtering by the selected organization. The client is also
included into the join clause to avoid swapping the client and org parameters into
the generated sqlc method.

---
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree_data.xsql
---
(0051228)
vmromanos (developer)
2012-08-10 08:08

Closed again (it was reopened by the bot)

- Issue History
Date Modified Username Field Change
2012-08-02 15:58 jmon New Issue
2012-08-02 15:58 jmon Assigned To => jonalegriaesarte
2012-08-03 08:18 jmon File Added: AD_ORGMODULE.xlsx
2012-08-03 08:18 jmon Note Added: 0051092
2012-08-03 09:52 vmromanos Assigned To jonalegriaesarte => vmromanos
2012-08-03 09:52 vmromanos Category Spanish Tax Module Improvements => Taxes
2012-08-06 12:35 vmromanos Project Localization Pack: Spain => Openbravo ERP
2012-08-06 12:41 vmromanos Modules => Core
2012-08-06 12:41 vmromanos Note Added: 0051114
2012-08-06 12:41 vmromanos Category Taxes => 01. General setup
2012-08-06 12:41 vmromanos Type defect => backport
2012-08-06 12:41 vmromanos Fixed in Version => 2.50MP45
2012-08-06 12:41 vmromanos fix_in_branch => 2.50
2012-08-06 12:41 vmromanos Status new => scheduled
2012-08-06 12:41 vmromanos fix_in_branch 2.50 => pi
2012-08-06 12:43 vmromanos Fixed in Version 2.50MP45 =>
2012-08-06 12:43 vmromanos Target Version => 2.50MP45
2012-08-06 12:43 vmromanos fix_in_branch pi => 2.50
2012-08-06 12:46 vmromanos Note Edited: 0051114 View Revisions
2012-08-06 13:02 vmromanos Relationship added related to 0021316
2012-08-06 13:50 vmromanos Note Added: 0051119
2012-08-06 14:40 hgbot Checkin
2012-08-06 14:40 hgbot Note Added: 0051125
2012-08-06 14:40 hgbot Status scheduled => resolved
2012-08-06 14:40 hgbot Resolution open => fixed
2012-08-06 14:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/stable/2.50/rev/df7c1358b96ae51386472bf9ca563db1589fe656 [^]
2012-08-07 18:20 dmitry_mezentsev Note Added: 0051151
2012-08-07 20:43 gorka_gil Issue Monitored: gorka_gil
2012-08-08 08:34 vmromanos Note Added: 0051153
2012-08-08 08:34 vmromanos Status resolved => new
2012-08-08 08:34 vmromanos Resolution fixed => open
2012-08-08 08:35 vmromanos Regression level => Production - Confirmed Stable
2012-08-08 08:35 vmromanos Regression date => 2011-08-22
2012-08-08 08:35 vmromanos Regression introduced by commit => https://code.openbravo.com/erp/stable/2.50/rev/c1a592b54b9d909ca70781e008c605fd12b09b61 [^]
2012-08-08 08:35 vmromanos Status new => scheduled
2012-08-08 08:35 vmromanos fix_in_branch 2.50 => pi
2012-08-08 08:36 vmromanos Status scheduled => resolved
2012-08-08 08:36 vmromanos Resolution open => fixed
2012-08-08 10:12 mirurita Status resolved => new
2012-08-08 10:12 mirurita Resolution fixed => open
2012-08-08 10:13 mirurita File Added: TestingPlan_ok.png
2012-08-08 10:13 mirurita Status new => scheduled
2012-08-08 10:13 mirurita Status scheduled => resolved
2012-08-08 10:13 mirurita Resolution open => fixed
2012-08-08 10:14 mirurita Note Added: 0051159
2012-08-08 10:14 mirurita Status resolved => closed
2012-08-08 10:14 mirurita Fixed in Version => 2.50MP45
2012-08-08 21:45 hgbot Checkin
2012-08-08 21:45 hgbot Note Added: 0051181
2012-08-08 21:45 hgbot Status closed => resolved
2012-08-08 21:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/stable/2.50/rev/df7c1358b96ae51386472bf9ca563db1589fe656 [^] => http://code.openbravo.com/erp/stable/2.50/rev/032a689b7aa2be47055687202e915848ece7c799 [^]
2012-08-09 09:16 vmromanos Note Added: 0051185
2012-08-09 09:16 vmromanos Status resolved => closed
2012-08-09 20:50 hgbot Checkin
2012-08-09 20:50 hgbot Note Added: 0051223
2012-08-09 20:50 hgbot Status closed => resolved
2012-08-09 20:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/stable/2.50/rev/032a689b7aa2be47055687202e915848ece7c799 [^] => http://code.openbravo.com/erp/stable/2.50/rev/cab2322adf42a6ff995418ffe6848799a962b70b [^]
2012-08-10 08:08 vmromanos Note Added: 0051228
2012-08-10 08:08 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker